package com.muyu.cache;

import java.util.List;

/**
 * @author yuping
 * @package com.muyu.cache
 * @name CacheBasic
 * @date 2024/9/29  20:08 缓存基础
 */
public interface CacheBasic <K,V> extends PrimaryKeyBasic<K>{

    void put(K key, V value);

    V get(K key);

    void remove(K key);
}
