package com.muyu.common.core.constant;

/**
 * kafka常量信息
 * @program: cloud-server
 * @author: cuiyongxing
 * @create: 2024-09-28 12:18
 **/
public class KafkaConstant {

    public static final String BOOTSTRAP_SERVERS = "bootstrap.servers";

    public static final String RETRIES = "retries";

    public static final String ACKS = "acks";

    public static final String BATCH_SIZE = "batch.size";

    public static final String BUFFER_MEMORY = "buffer-memory";

    public static final String KEY_SERIALIZER = "key.serializer";

    public static final String VALUE_SERIALIZER = "value.serializer";

    public static final String ENABLE_AUTO_COMMIT = "enable.auto.commit";

    public static final String AUTO_COMMIT_INTERVAL = "auto.commit.interval.ms";

    public static final String AUTO_OFFSET_RESET = "auto.offset.reset";

    public static final String FETCH_MAX_WAIT  = "fetch.max.wait";

    public static final String FETCH_MIN_SIZE = "fetch.min.size";

    public static final String HEARTBEAT_INTERVAL = "heartbeat.interval";

    public static final String MAX_POLL_RECORDS = "max.poll.records";

    public static final String KEY_DESERIALIZER = "key.deserializer";

    public static final String VALUE_DESERIALIZER = "value.deserializer";

    public static final String TOPIC = "topic";

    public static final String GROUP_ID = "group.id";



}
