package com.muyu.common.swagger.annotation;

import com.muyu.common.swagger.config.SwaggerAutoConfiguration;
import org.springframework.context.annotation.Import;

import java.lang.annotation.*;

/**
 * @author 袁子龙
 * @package：com.muyu.common.swagger.annotation
 * @name：EnableCustomSwagger2
 * @date：2024/9/29 10:01
 */
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Inherited
@Import({SwaggerAutoConfiguration.class})
public @interface EnableCustomSwagger2 {

}
