package com.muyu.event.basic;

import com.alibaba.fastjson2.JSONObject;
import org.springframework.context.ApplicationEvent;

/**
 * 事件类型
 * @author 刘武
 * @package：com.muyu.event.Basic
 * @name：EventCustom
 * @date：2024/9/29 21:17
 */
public class EventCustom extends ApplicationEvent {

    private JSONObject data;

    public EventCustom(Object source,JSONObject data) {
        super(source);
        this.data=data;
    }

    public JSONObject getData(){
        return data;
    }

}
