package com.muyu.event.controller;


import com.alibaba.fastjson2.JSONObject;
import com.muyu.event.service.TestService;
import org.apache.kafka.clients.producer.KafkaProducer;
import org.apache.kafka.clients.producer.ProducerRecord;
import org.springframework.amqp.core.AmqpTemplate;
import org.springframework.beans.factory.annotation.Autowired;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @author 刘武
 * @package：com.muyu.event.controller
 * @name：TestController
 * @date：2024/9/29 20:58
 */
@RestController("test")
public class TestController {

    @Resource
    private KafkaProducer kafkaProducer;



    private static final String topic="four_car";

    @GetMapping("send")
    public String sendKafka(){

        String message="发送一条信息";
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("cj","sb");


        ProducerRecord<String, String> producerRecord = new ProducerRecord<String, String>(topic,jsonObject.toJSONString());
        kafkaProducer.send(producerRecord);

        return "success";
    }
















}
