package com.muyu.event.listener;

import com.alibaba.fastjson2.JSONObject;
import com.muyu.event.basic.EventCustom;
import com.muyu.event.basic.EventListener;


import java.util.ArrayList;
import java.util.List;

/**
 * 添加数据库事件
 * @program: cloud-server
 * @author: cuiyongxing
 * @create: 2024-09-29 17:34
 **/
public class AddDatabaseListener implements EventListener {


    @Override
    public void onEvent(EventCustom event) {

        JSONObject jsonObject = event.getData();
        List<String> keys = new ArrayList<>();
        List<String> values = new ArrayList<>();

        jsonObject.forEach((key, value) -> {
            keys.add(key);
            values.add((String) value);
        });
    }

    @Override
    public void onApplicationEvent(EventCustom event) {
        onEvent(event);
    }
}
