package com.muyu.template;
import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
/**
 * @author liuxinyue
 * @Package：com.muyu.template
 * @name：CloudTemplateApplication
 * @Date：2024/9/30 10:36
 */
@EnableCustomConfig
@EnableMyFeignClients
@SpringBootApplication
public class CloudTemplateApplication {
    public static void main(String[] args) {
        SpringApplication.run(CloudTemplateApplication.class, args);
    }
}
