package com.muyu.vehicle.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * fluxMq配置
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class FluxMqProperties {


    /**
     * 节点
     */
    private String broker;

    /**
     * 主题
     */
    private String topic;
    /**
     * 密码
     */
    private String password;

    /**
     * 节点ID
     */
    private String clientId;




}
