package com.muyu.vehicle.domain.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 车辆连接信息
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class VehicleConnectionReq {

    private String vehicleVin;

    /**
     * 时间戳
     */

    private String timestamp;

    /**
     * 用户名
     */

    private String username;

    /**
     * 随机字符串
     */
    private String nonce;

}
