package com.muyu.vehicle.service.impl;

import com.muyu.common.core.domain.Result;
import com.muyu.common.core.utils.uuid.UUID;
import com.muyu.vehicle.domain.MqttServerModel;
import com.muyu.vehicle.domain.req.VehicleConnectionReq;
import com.muyu.vehicle.service.CarInstanceService;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Service;

/**
 * 车辆业务实现层
 */
@Service
@Log4j2
public class CarInstanceServiceImpl implements CarInstanceService {



    @Override
    public Result<MqttServerModel> getConnect(VehicleConnectionReq carConnectionReq) {
        return null;
    }

    @Override
    public void carClientStart(String vin) {
        String timestamp = String.valueOf(System.currentTimeMillis());
        VehicleConnectionReq carConnectionReq = VehicleConnectionReq.builder()
                .vehicleVin(vin)
                .timestamp(timestamp)
                .username(vin + timestamp)
                .nonce(UUID.fastUUID().toString().replaceAll("-", ""))
                .build();

        //获取网关节点信息
    }
}
