package com.muyu.common.domain;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import java.io.Serializable;
/**
 * 数据类型表
 * @author liuxinyue
 * @Package：com.sheep.message.domain
 * @Project：cloud-server-c
 * @name：DataType
 * @Date：2024/9/19 19:32
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@Tag(name = "数据类型表")
@TableName(value = "data_type",autoResultMap = true)
public class DataType implements Serializable{

    /**
     * 数据类型ID
     */
    @TableId(value = "data_type_id",type = IdType.AUTO)
    private Integer DataTypeId;
    /**
     * 数据类型名称
     */
    private String DataTypeName;

}
