package com.muyu.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 车辆管理表
 * @author sx
 * @package com.muyu.common.domain
 * @name SysCar
 * @date 2024-09-29 14:39:33
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "sys_car",autoResultMap = true)
public class SysCar extends BaseEntity {
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    private String carVin;
    private Long carTypeId;
    private String state;
    private String carMotorManufacturer;
    private String carMotorModel;
    private String carBatteryManufacturer;
    private String carBatteryModel;
    private Long strategyId;
    private Long groupId;
    /**
     * 模版ID
     */
    private Integer templateId;

}
