package com.muyu.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 车辆上下线记录表
 * @author sx
 * @package com.muyu.common.domain
 * @name SysCarLog
 * @date 2024-09-29 14:34:15
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "sys_car_log",autoResultMap = true)
public class SysCarLog {
    @TableId(value = "id",type = IdType.AUTO)
    private String id;
    private String carVin;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
}
