package com.muyu.common.domain.req;

import com.muyu.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 预警策略对象 warn_strategy
 *
 * @author sx
 * @date 2024-09-20
 */

@Data
@NoArgsConstructor
@AllArgsConstructor
public class WarnStrategyReq {
    private static final long serialVersionUID = 1L;

    /** 车辆类型id */
    @Excel(name = "车辆类型id")
    private Long carTypeId;

    /** 策略名称 */
    @Excel(name = "策略名称")
    private String strategyName;

    /** 报文模版id */
    @Excel(name = "报文模版id")
    private Long templateId;




}
