package com.muyu.common.domain.resp;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 *电子围栏组
 * @author yuping
 * @Package：com.muyu.fence.domain
 * @Project：cloud-server
 * @name：ElectronicFence
 * @Date：2024/9/17 16:34
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ElectronicFenceResp {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 围栏名称
     */

    private String name;

    /**
     * 围栏类型（驶入，驶出）
     */

    private String  fenceType;

    /**
     *经纬度信息
     */

private String longitudeLatitude;

    /**
     * 电子围栏状态（正常，停用）
     */

private String  status;

    /**
     * 描述信息
     */

private String  desc;

//private String groupType;
//
//private int  priority;








}
