package com.muyu.common.domain.resp;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.domain.WarnRule;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 预警规则返回对象
 * @author sx
 * @package com.muyu.common.domain.resp
 * @name WarnRuleResp
 * @date 2024/9/22 14:36
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class WarnRuleResp extends WarnRule {
    @Excel(name = "策略名称")
    private String strategyName;


    @Excel(name = "报文数值")
    private String messageField;
}
