package com.muyu.server.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.common.domain.SysCarFaultMessage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 站内信 管理层
 * @author 袁子龙
 * @packer: com.muyu.breakdown.mapper
 * @name: SysCarFaultMessageMapper
 * @date: 2024/9/22 11:59
 */
@Mapper
public interface SysCarFaultMessageMapper extends BaseMapper<SysCarFaultMessage> {

    // 查询状态等于1的记录
    @Select("select * from sys_car_fault_message where status=1")
    public List<SysCarFaultMessage>listStatusOnt( );
    //查询状态等于2的记录
    @Select("select * from sys_car_fault_message where status=2")
    public List<SysCarFaultMessage>listStatusTwo( );



}
