package com.muyu.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.domain.CarType;
import com.muyu.common.domain.resp.CarTypeResp;

import java.util.List;

/**
 * 车辆类型 服务层
 * @author  sx
 * @package com.muyu.server.service
 * @name CarTypeService
 * @date 2024-09-29 15:16:17
 */

public interface CarTypeService extends IService<CarType> {
    List<CarType> selectCarTypeList();

    CarTypeResp selectCarTypeRespList(Long id);

    CarType findCarTypeById(Long carTypeId);

    List<CarTypeResp> findAllCars();
}
