package com.muyu.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.domain.Template;
import org.apache.iotdb.rpc.IoTDBConnectionException;
import org.apache.iotdb.rpc.StatementExecutionException;

import java.sql.SQLException;
import java.util.concurrent.ExecutionException;

/**
 * 报文模版 服务层
 * @author liuxinyue
 * @Package：com.template.service
 * @Project：cloud-server-c
 * @name：TemplateService
 * @Date：2024/9/20 12:12
 */
public interface TemplateService extends IService<Template> {


    void messageParsing(String templateMessage) throws SQLException, IoTDBConnectionException, ClassNotFoundException, StatementExecutionException, ExecutionException, InterruptedException;
}
