package com.muyu.vehicle.service;

import com.muyu.common.core.domain.Result;
import com.muyu.vehicle.domain.MqttServerModel;
import com.muyu.vehicle.domain.req.VehicleConnectionReq;

/**
 * 车辆业务层
 */
public interface CarInstanceService {

    Result<MqttServerModel> getConnect(VehicleConnectionReq carConnectionReq);

    /**
     * 车辆初始化
     */
    void carClientStart(String vin);

}
