package com.muyu.vehicle.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.vehicle.domain.VehicleAuthentication;
import com.muyu.vehicle.mapper.VehicleAuthenticationMapper;
import com.muyu.vehicle.service.VehicleAuthenticationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class VehicleAuthenticationServiceImpl extends ServiceImpl<VehicleAuthenticationMapper, VehicleAuthentication> implements VehicleAuthenticationService {
   @Autowired
   private VehicleAuthenticationMapper vehicleAuthenticationMapper;
    @Override
    public Integer insertVehicleAuthentication(VehicleAuthentication vehicleAuthentication) {
        return vehicleAuthenticationMapper.insert(vehicleAuthentication);
    }
}
