package com.muyu.cache;

import com.muyu.common.domain.SysCarFaultMessage;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Author YuPing
 * @Description 站内信缓存
 * @Version 1.0
 * @Data 2024-09-29 21:13:19
 */
@Component
public class SysCarFaultMessageCacheService extends CacheAbsBasic<String, List<SysCarFaultMessage>>{
    @Override
    public String keyPre() {
        return "sysCarFaultMessage";
    }

    @Override
    public String decode(String key) {
        return key.replace(keyPre(), "");
    }
}
