package com.muyu.common.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 车辆类型
 * @author sx
 * @package com.muyu.common.domain
 * @name CarType
 * @date 2024/9/22 14:36
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "car_type",autoResultMap = true)
public class CarType {
    @TableId(value = "id")
    private Long id;
    private String typeName;
    private Long templateId;
}
