package com.muyu.common.domain.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 围栏组列表请求参数
 * @author yuping
 * @Package：com.muyu.fence.domain.req
 * @Project：cloud-server
 * @name：ElectronicFenceGroupListReq
 * @Date：2024/9/20 16:06
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ElectronicFenceGroupListReq {


    /**
     * 主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
     * 围栏组优先级
     */
    private Integer priority;
    /**
     * 围栏组名称
     */
    private String groupName;
    /**
     * 围栏组类型
     */
    private String   groupType;

    /**
     * 启用状态
     */
    private String status;










}
