package com.muyu.common.domain.resp;


import com.muyu.common.core.annotation.Excel;
import com.muyu.common.domain.CarType;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 车辆类型返回对象
 * @author sx
 * @package com.muyu.common.domain.resp
 * @name CarTypeResp
 * @date 2024/9/22 14:36
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class CarTypeResp extends CarType {
    /** 报文模版id */
    @Excel(name = "报文模版名称")
    private String templateName;
}
