package com.muyu.common.domain.resp;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.domain.SysCar;
import lombok.*;

/**
 * 车辆管理返回值
 * @author sx
 * @package com.muyu.common.domain.resp
 * @name SysCarVo
 * @date 2024/9/22 14:36
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class SysCarVo extends SysCar {

    @Excel(name = "车辆类型名称")
    private String typeName;
    @Excel(name = "策略名称")
    private String strategyName;
    @Excel(name = "围栏组名称")
    private String groupName;




}
