package com.muyu.common.domain.resp;


import com.muyu.common.core.annotation.Excel;
import com.muyu.common.domain.WarnLogs;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 预警日志对象
 * @author sx
 * @package com.muyu.common.domain.resp
 * @name WarnLogsResp
 * @date 2024/9/22 14:36
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class WarnLogsResp extends WarnLogs {
    /** 规则名称 */
    @Excel(name = "规则名称")
    private String ruleName;
}
