package com.muyu.server.controller.form;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

/**
 * 新增企业信息表单
 * @author  yuping
 * @package com.muyu.server.controller.form
 * @name InsertEnterprise
 * @Date 2024/9/29 12:06
 */
@Data
public class InsertEnterprise {

    @NotBlank(message = "enterprise企业名称不能为空")
    private String enterpriseName;

    @NotNull(message = "enterpriseCarCount企业车辆数量不能为空")
    private Integer enterpriseCarCount;

    @NotNull(message = "enterpriseFenceCount企业围栏组不能为空")
    private Integer enterpriseFenceCount;

    @NotNull(message = "enterpriseDatabaseName企业数据库名称不能为空")
    private String enterpriseDatabaseName;
}
