package com.muyu.server.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.common.domain.MessageTemplateType;
import com.muyu.common.domain.Template;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 *报文模版
 * @author liuxinyue
 * @Package：com.template.mapper
 * @Project：cloud-server-c
 * @name：TemplateMapper
 * @Date：2024/9/20 12:13
 */
@Mapper
public interface TemplateMapper extends BaseMapper<Template> {

    List<MessageTemplateType> findTemplateById(@Param("templateId") Integer templateId);

}
