package com.muyu.server.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.common.domain.WarnLogs;
import com.muyu.common.domain.resp.WarnLogsResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 车辆预警日志 Mapper 接口
 * @author sx
 * @package com.muyu.server.mapper
 * @name WarnLogsMapper
 * @date 2024-09-29 12:21:09
 */
@Mapper
public interface WarnLogsMapper extends BaseMapper<WarnLogs> {
    List<WarnLogsResp> selectWarnLogsList();

    WarnLogsResp selectWarnLogs(@Param("id")Long id);

    Integer addWarnLog(List<WarnLogs> list);
}
