package com.muyu.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.domain.database.ElectronicFenceGroup;
import com.muyu.common.domain.req.ElectronicFenceGroupListReq;
import com.muyu.common.domain.resp.ElectronicFenceGroupResp;

import java.util.List;

/**
 *围栏组 服务层
 * @author yuping
 * @Package：com.muyu.fence.service
 * @Project：cloud-server
 * @name：FenceGroupController
 * @Date：2024/9/18 15:16
 */

public interface ElectronicFenceGroupService extends IService<ElectronicFenceGroup> {


    List<ElectronicFenceGroup> selectGroupList(ElectronicFenceGroupListReq req);


    ElectronicFenceGroupResp findGroupByid(Long id);
}
