package com.muyu.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.domain.database.FenceGroupMid;
import com.muyu.common.domain.resp.ElectronicFenceResp;

import java.util.List;

/**
 * 围栏组连接 服务层
 * @author yuping
 * @Package：com.muyu.fence.service
 * @Project：cloud-server
 * @name：FenceGroupMidService
 * @Date：2024/9/20 11:33
 */
public interface FenceGroupMidService extends IService<FenceGroupMid> {


    void addGroupAndFenceMid(Long id, List<ElectronicFenceResp> electronicFenceRespList);

    List<FenceGroupMid> selectFenceGroupMidListById(Long id);


    void deliteMid(Long id);
}
