package com.muyu.server.service;

import com.muyu.common.domain.SysCar;
import com.muyu.common.domain.req.SysCarReq;
import com.muyu.common.domain.resp.SysCarFaultLogVo;
import com.muyu.common.domain.resp.SysCarVo;

import java.util.List;

/**
 * 车辆管理 服务层
 * @author  sx
 * @package com.muyu.server.service
 * @name SysCarService
 * @date 2024-09-29 15:02:55
 */
public interface SysCarService {
    List<SysCarVo> selectSysCarVoList(SysCarReq sysCarReq);

    SysCarVo selectSysCarVoById(Long id);

    int addSysCar(SysCar sysCar);

    int deleteSysCarById(Long id);

    int updateSysCar(SysCar sysCar);

    List<SysCarFaultLogVo> findFenceByCarVin(String carVin);

    SysCar findCarByVin(String carVin);


}
