package com.muyu.server.service.impl;

import com.muyu.cache.MessageTemplateTypeCacheService;
import com.muyu.common.domain.MessageTemplateType;
import com.muyu.server.mapper.TemplateNeedMapper;
import com.muyu.server.service.TemplateNeedService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 报文模版 服务层处理
 * @author  liuxinyue
 * @package com.muyu.server.service.impl
 * @name TemplateNeedServiceImpl
 * @date 2024/9/22 14:36
 */
@Service
public class TemplateNeedServiceImpl implements TemplateNeedService {

    @Autowired
    private TemplateNeedMapper templateNeedMapper;

    @Override
    public List<MessageTemplateType> selectByTemplateId(Long templateId) {
        List<MessageTemplateType> messageTemplateTypes = templateNeedMapper.selectByTemplateId(templateId);
        return messageTemplateTypes;
    }
}
